package cn.fw.hermes.common.constant;

import lombok.Getter;

/**
 * im接口枚举
 *
 * @author Kurisu
 * @date 2018-09-08
 */
public enum CloudDataEnum {
    /**
     * im所有接口
     */
    ACCOUNT_IMPORT("独立模式帐号导入", "im_open_login_svc/account_import"),
    MULTIACCOUNT_IMPORT("独立模式帐号批量导入", "im_open_login_svc/multiaccount_import"),
    REGISTER_ACCOUNT_V1("托管模式帐号导入", "registration_service/register_account_v1"),
    KICK("失效帐号登录态", "im_open_login_svc/kick"),
    SENDMSG("单发单聊消息", "openim/sendmsg"),
    BATCHSENDMSG("批量发单聊消息", "openim/batchsendmsg"),
    IMPORTMSG("导入单聊消息", "openim/importmsg"),
    IM_PUSH("推送", "openim/im_push"),
    IM_GET_PUSH_REPORT("openim/im_get_push_report", "获取推送报告"),
    IM_SET_ATTR_NAME("设置应用属性名称", "openim/im_set_attr_name"),
    IM_GET_ATTR_NAME("获取应用属性名称", "openim/im_get_attr_name"),
    IM_SET_ATTR("设置用户属性", "openim/im_set_attr"),
    IM_REMOVE_ATTR("删除用户属性", "openim/im_remove_attr"),
    IM_GET_ATTR("获取用户属性", "openim/im_get_attr"),
    IM_ADD_TAG("添加用户标签", "openim/im_add_tag"),
    IM_REMOVE_TAG("删除用户标签", "openim/im_remove_tag"),
    IM_REMOVE_ALL_TAGS("删除用户所有标签	", "openim/im_remove_all_tags"),
    GET_APPID_GROUP_LIST("获取APP中的所有群组	", "group_open_http_svc/get_appid_group_list"),
    CREATE_GROUP("创建群组", "group_open_http_svc/create_group"),
    GET_GROUP_INFO("获取群组详细资料", "group_open_http_svc/get_group_info"),
    GET_GROUP_MEMBER_INFO("获取群成员详细资料", "group_open_http_svc/get_group_member_info"),
    MODIFY_GROUP_BASE_INFO("修改群组基础资料", "group_open_http_svc/modify_group_base_info"),
    ADD_GROUP_MEMBER("增加群组成员", "group_open_http_svc/add_group_member"),
    DELETE_GROUP_MEMBER("删除群组成员", "group_open_http_svc/delete_group_member"),
    MODIFY_GROUP_MEMBER_INFO("修改群组成员资料", "group_open_http_svc/modify_group_member_info"),
    DESTROY_GROUP("解散群组", "group_open_http_svc/destroy_group"),
    GET_JOINED_GROUP_LIST("获取用户所加入的群组", "group_open_http_svc/get_joined_group_list"),
    GET_ROLE_IN_GROUP("查询用户在群组中的身份", "group_open_http_svc/get_role_in_group"),
    FORBID_SEND_MSG("批量禁言和取消禁言", "group_open_http_svc/forbid_send_msg"),
    GET_GROUP_SHUTTED_UIN("获取群组被禁言用户列表", "group_open_http_svc/get_group_shutted_uin"),
    SEND_GROUP_MSG("在群组中发送普通消息", "group_open_http_svc/send_group_msg"),
    SEND_GROUP_SYSTEM_NOTIFICATION("在群组中发送系统通知	", "group_open_http_svc/send_group_system_notification"),
    CHANGE_GROUP_OWNER("转让群组", "group_open_http_svc/change_group_owner"),
    IMPORT_GROUP("导入群基础资料", "group_open_http_svc/import_group"),
    IMPORT_GROUP_MSG("导入群消息", "group_open_http_svc/import_group_msg"),
    IMPORT_GROUP_MEMBER("导入群成员", "group_open_http_svc/import_group_member"),
    SET_UNREAD_MSG_NUM("设置成员未读消息计数	", "group_open_http_svc/set_unread_msg_num"),
    DELETE_GROUP_MSG_BY_SENDER("删除指定用户发送的消息	", "group_open_http_svc/delete_group_msg_by_sender"),
    GROUP_MSG_GET_SIMPLE("拉取群漫游消息	", "group_open_http_svc/group_msg_get_simple"),
    PORTRAIT_GET("拉取资料", "profile/portrait_get"),
    PORTRAIT_SET("设置资料", "profile/portrait_set"),
    FRIEND_ADD("添加好友", "sns/friend_add"),
    FRIEND_IMPORT("导入好友", "sns/friend_import"),
    FRIEND_DELETE("删除好友", "sns/friend_delete"),
    FRIEND_DELETE_ALL("删除所有好友", "sns/friend_delete_all"),
    FRIEND_CHECK("校验好友", "sns/friend_check"),
    FRIEND_GET_ALL("拉取好友", "sns/friend_get_all"),
    FRIEND_GET_LIST("拉取指定好友", "sns/friend_get_list"),
    BLACK_LIST_ADD("添加黑名单", "sns/black_list_add"),
    BLACK_LIST_DELETE("删除黑名单	", "sns/black_list_delete"),
    BLACK_LIST_GET("拉取黑名单", "sns/black_list_get"),
    BLACK_LIST_CHECK("校验黑名单", "sns/black_list_check"),
    GROUP_ADD("添加分组", "sns/group_add"),
    GROUP_DELETE("删除分组", "sns/group_delete"),
    DIRTY_WORDS_GET("查询脏字", "openim_dirty_words/get"),
    DIRTY_WORDS_ADD("添加脏字", "openim_dirty_words/add"),
    DIRTY_WORDS_DEL("删除脏字", "openim_dirty_words/delete"),
    GET_HISTORY("消息记录下载", "open_msg_svc/get_history"),
    QUERYSTATE("获取用户在线状态", "openim/querystate"),
    SETNOSPEAKING("设置全局禁言", "openconfigsvr/setnospeaking"),
    GETNOSPEAKING("查询全局禁言", "openconfigsvr/getnospeaking"),
    QUERY_SINGLE_CHAT("查询单聊消息","openim/admin_getroammsg");
    @Getter
    private String msg;
    @Getter
    private String code;

    CloudDataEnum(String msg, String code) {
        this.msg = msg;
        this.code = code;

    }

    public static CloudDataEnum getValueByOrdinalReplace(String code) {
        for (CloudDataEnum cloudDataEnum : CloudDataEnum.values()) {
            if (code.equals(cloudDataEnum.getCode())) {
                return cloudDataEnum;
            }
        }
        throw new IllegalArgumentException(code + "没有对应枚举");
    }

}
