package cn.fw.hermes.common.constant;

/**
 * @author 张志伟
 * @date 2018-07-03 16:31
 * @description
 */
public enum ErrorCodeEnum {
    /**
     * 错误码
     */
    SEND_SUCCESS(0, "操作成功"),
    SUCCESS(200, "成功"),
    ERROR_1(7000, "服务器端内部逻辑错误，请稍后重试"),
    ERROR_2(7001, "校验信息为空"),
    ERROR_3(7002, "请求参数非法,无效的registrationId"),
    ERROR_4(7004, "校验失败"),
    ERROR_5(7008, "appkey不存在"),
    ERROR_6(1000, "服务器端内部逻辑错误，请稍后重试"),
    ERROR_7(1001, "不支持Get方法"),
    ERROR_8(1002, "缺少了必须的参数"),
    ERROR_9(1003, "参数值不合法"),
    ERROR_10(1004, "验证失败"),
    ERROR_11(1005, "消息体太大"),
    ERROR_12(1008, "app_key参数非法"),
    ERROR_13(1009, "推送对象中有不支持的key"),
    ERROR_14(1011, "没有满足条件的目标"),
    ERROR_15(1020, "只支持HTTPS请求"),
    ERROR_16(1030, "内部服务超时"),
    ERROR_17(2002, "API调用频率超出该应用的限制"),
    ERROR_18(2003, "该应用appkey已被限制调用API"),
    ERROR_19(2004, "无权限执行当前操作"),
    ERROR_20(2005, "信息发送量超出合理范围"),
    ERROR_21(10, "系统内部错误"),
    ERROR_22(2003, "无权使用此接口"),
    ERROR_23(3001, "HTTP Basic authorization 失败"),
    ERROR_24(3004, "time_unit与start参数值不匹配"),
    ERROR_25(3005, "只支持查询60天以内的用户信息"),
    ERROR_26(8000, "正确返回"),
    ERROR_27(8104, "请求的定时api操作不存在"),
    ERROR_28(8101, "appkey masterscrect 不匹配"),
    ERROR_29(8100, "参数不合法或者无效，没通过校验"),
    ERROR_30(8203, "系统内部错误，建议稍后重试"),
    ERROR_31(8200, "系统内部错误，建议稍后重试"),
    ERROR_32(1010, "证书已存在"),
    ERROR_33(1012, "证书不合法"),
    ERROR_34(1013, "appkey不合法"),
    ERROR_35(1014, "参数中没有证书文件"),
    ERROR_36(1015, "app删除失败"),
    ERROR_37(4001, "只支持Post方法"),
    ERROR_38(4002, "请求参数为空"),
    ERROR_39(4003, "请求参数非法"),
    ERROR_40(4004, "权限校验错误"),
    ERROR_41(4005, "权限校验错误"),
    ERROR_42(4007, "未开通权限"),
    ERROR_80(30000, "设备信息不存在"),
    ERROR_81(30001, "解绑失败"),
    ERROR_82(30002, "已重复"),
    ERROR_83(30003, "push请求超时"),
    ERROR_84(30004, "目标数量太多"),
    ILLEGAL_LENGTH(30005, "长度不合法"),
    ERROR_86(30006, "系统繁忙，建议稍后重试"),
    ERROR_87(30007, "暂定"),
    ERROR_88(90001, "Json 格式解析失败,请检查请求包是否符合 JSON 规范"),
    ERROR_89(90002, "消息格式有误"),
    ERROR_90(90004, "Json 格式请求包体中 MsgSeq 不是 Number 类型或者其值范围不在 0~4294967296"),
    ERROR_91(90005, "Json 格式请求包体中 MsgRandom 不是 Number 类型或者其值范围不在 0~4294967296"),
    ERROR_92(90007, "Json 格式请求包体中 MsgBody 类型不是 Array 类型，请将其修改为 Array 类型"),
    ERROR_93(90009, "非管理员账户，无权代发消息，请用管理员帐号使用该 Rest API 接口"),
    ERROR_94(90010, "Json 格式请求包不符合消息格式描述，请参考 TIMMsgElement对象 的定义"),
    ERROR_95(90013, "标签长度超过限制（不能超过 50 字节）"),
    ERROR_96(90014, "获取推送状态指定任务数过多"),
    ERROR_97(90020, "标签长度超过限制（不能超过 50 字节）"),
    ERROR_98(90020, "Tag 非法（必须是均为字符串的键值对，键的取值 “0”~“9”）"),
    ERROR_99(90024, "推送频率超过限制"),
    ERROR_100(90025, "推送任务已存在（同一天内的不同推送请求 MsgRandom 必须不同，否则视为重复的推送任务）"),
    ERROR_101(90026, "消息离线存储时间错误（最多不能超过 1 天）"),
    ERROR_102(90027, "推送条件非法，请检查 Condition 字段"),
    ERROR_103(91000, "服务内部错误，请重试"),
    ERROR_104(90032, "TagsOr 或者 TagsAnd 中的标签个数不能超过 10 个"),
    ERROR_105(90039, "按属性推送和按标签推送不可同时存在"),
    ERROR_106(20002, "签名验证失败"),
    ERROR_107(20003, "用户下线失败");


    private int code;

    private String msg;

    ErrorCodeEnum(int value, String description) {
        this.code = value;
        this.msg = description;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static ErrorCodeEnum getValueByOrdinalReplace(Integer code) {
        for (ErrorCodeEnum errorCodeEnum : ErrorCodeEnum.values()) {
            if (code.equals(errorCodeEnum.getCode())) {
                return errorCodeEnum;
            }
        }
        throw new IllegalArgumentException(code + "没有对应枚举");
    }
}
