package cn.fw.hermes.domain.db;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.hermes.common.constant.MsgBody;
import cn.fw.hermes.domain.dto.MsgBodyDto;
import cn.fw.hermes.domain.enums.UserTypeEnum;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.math.BigDecimal;

/**
 * @author 张志伟
 * @date 2018-09-18 14:40
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SysMsg extends BaseEntity<SysMsg,Long> {
    /**
     * 内容描述
     */
    private String msgText;
    /**
     * 消息类型
     */
    private String msgType;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 经度
     */
    private BigDecimal lng;
    /**
     * 表情索引
     */
    private Integer msgIndex;
    /**
     * 自定义数据
     */
    private String msgData;
    /**
     * 自定义扩展信息
     */
    private String ext;
    /**
     * 是否发送离线推送
     */
    private Boolean offlinePush;
    /**
     * 发送状态
     */
    private Integer msgStatus;
    /**
     * 发送状态描述
     */
    private String msgStatusDesc;
    /**
     * 目标账号
     */
    private String toAccount;
    /**
     * 发送方账号
     */
    private String fromAccount;
    /**
     * 消息离线保存时长
     */
    private Integer msgLifeTime;
    /**
     * 发送时间
     */
    private LocalDateTime sendTime;

    /**
     * 消息保存失败次数
     */
    private Integer retriesNum = 0;
    /**
     * 消息唯一识别码
     */
    private String messageId;
    /**
     * 消息接收用户类型 0：业务人员 1 ：客户
     */
    private UserTypeEnum receiverType;

}
