package cn.fw.hermes.sdk.api.para;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-10-15 11:09
 * @description
 */
public enum BusinessType {
    /**
     * 账号业务类型
     */
    SYS_NOTICE(0, "系统消息"),
    GRADE_NOTICE(1, "评级通知"),
    /**
     * 内部通知指不需要通知栏提示的类型
     */
    INTERNAL_NOTIFICATION(2, "内部通知");

    @Getter
    private Integer code;
    @Getter
    private String msg;

    BusinessType(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static  BusinessType getValueByOrdinalReplace(Integer code) {
        for (BusinessType e : BusinessType.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        throw new IllegalArgumentException(code + "Is not NoticeTypeEnum ordinal");
    }
}
