package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.Account;
import cn.fw.hermes.domain.dto.AdminConfigDto;
import cn.fw.hermes.domain.dto.IdentifierDto;
import cn.fw.hermes.domain.enums.UserTypeEnum;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.lang.NonNull;

import java.util.Optional;


/**
 * @Author: Chenery
 * @Date: 2021/1/27 10:58
 */
public interface AccountService extends IService<Account> {

    /**
     * 用户是否存在
     *
     * @param identifier 用户识别码
     * @return 是否存在
     */
    boolean isExist(String identifier);


    /**
     * 根据用户ID查询账户
     *
     * @param userId 用户ID
     * @param userType 用户类型 0表示APP端 1表示C端
     * @return 账户对象
     */
    Optional<Account> queryAccountByUserId(@NonNull long userId, Integer userType);

    /**
     *  根据主键ID查询账户信息
     * @param id 用户主键ID
     * @return 账户对象
     */
    Optional<Account> queryAccountById(@NonNull Long id);


}
