package cn.fw.hermes.service.mq;

import cn.fw.hermes.sdk.api.para.MessageResult;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.stereotype.Component;

/**
 * @Author: Chenery
 * @Date: 2021/2/19 16:21
 */
@Slf4j
@Component
@RequiredArgsConstructor
public class MessageProducer {
    private final RocketMQTemplate rocketMQTemplate;

    public void send(MessageResult messageResult) {
        final String msg = "消息发送mq";
        try {
            log.info("{} : body [{}]", msg, messageResult);
            rocketMQTemplate.syncSend(MessageResult.TOPIC, messageResult);
        } catch (Exception e) {
            log.error("{} 消息结果发送失败 messageId[{}]", msg, messageResult.getMessageId());
        }
    }

}
